Package org.apache.sling.jcr.base.internal.mount

## Class ProxyWrapper<T>

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<T>

Direct Known Subclasses:
  `ProxyAccessControlManager`, `ProxyItem`, `ProxyLock`, `ProxyPrivilegeManager`, `ProxyQuery`, `ProxyQueryManager`, `ProxyQueryObjectModelFactory`, `ProxyQueryResult`, `ProxyUserManager`, `ProxyWorkspace`

    public class ProxyWrapper<T>
    extends Object

### Constructor Summary

Constructors
`ProxyWrapper​(ProxySession<?> mountSession, T delegate)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyWrapper

    public ProxyWrapper​(ProxySession<?> mountSession,
                        T delegate)